/**
 * 商品分类类型
 * 
 */
$(document).ready(function(){
	// 初始化加载校区
	$.ajax({
		type : 'POST',
		url : '../servicePack/queryServiceList',
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#serviceId").empty();
			var subs = data.list;// 获取data中list的数组
			var _array = [];
//			_array.push("<option value=''>--请选择--</option>");
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#serviceId").html(_array.join(""));
			}
			$("#serviceId").html(_array.join(""));
			//初始化预定数据
			initListInfo(1);			
		}
	
	});
	
	//查询
	$("#btn-search").click(function(){
		initListInfo(1);
	});
});

//跳转编辑
function toAddProductCategories(id){
	var serviceId = $("#serviceId").val();//服务项id
	window.location.href="../servicePack/toAddProductCategories?id="+id+"&serviceId="+serviceId;
}

//删除
function deleteServicePackDetails(id){
	layer.confirm('确定删除吗?', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			type : 'POST',
			url : '../servicePack/deleteProductCategories',
			data : {"id":id},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data){
				alert(data.msg);
				if(data.code == '0'){
					window.location.href="../servicePack/productCategoriesList";
				}
			}
		});
		layer.close(index);
	});
}

function initListInfo(pageNo){
	var pageNo = $("#pageNo").val();
	if(pageNo == null || pageNo == ''){
		pageNo = 1;
	}
	var serviceId = $("#serviceId").val();//服务项id
	var typeCode = $("#typeCode").val();//类型编码
	var name = $("#name").val();
	var startTime = $("#startTime").val();
	var endTime = $("#endTime").val();
	//初始化加载
	$.ajax({
		type:'POST',
		url:'../servicePack/productCategoriesListInfo',
		data:{"pageNo":pageNo,"serviceId":serviceId,"name":name,"startTime":startTime,"endTime":endTime,"typeCode":typeCode},
		dataType: 'html',//返回值类型 设置为html
		success: function (data)  //服务器成功响应处理函数
		{
            $("#productCategoriesListInfo").html(data);
		}
	});
	
}
